<?php
/**
*
* @package Support Toolkit - Database Cleaner
* @version $Id: database_cleaner.php 415 2010-06-09 00:44:26Z iwisdom $
* @copyright (c) 2009 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
	'BOARD_DISABLE_REASON'			=> 'Das Board ist derzeit deaktiviert aufgrund einer Datenbank-Wartung. Bitte schauen Sie demnächst wieder vorbei!',
	'BOARD_DISABLE_SUCCESS'			=> 'Das Board wurde erfolgreich deaktiviert!',

	'COLUMNS'						=> 'Spalten',
	'CONFIG_SETTINGS'				=> 'Konfigurations-Einstellungen',
	'CONFIG_UPDATE_SUCCESS'			=> 'Die Konfigurations-Einstellungen wurden erfolgreich aktualisiert!',
	'CONTINUE'						=> 'Fortfahren',

	'DATABASE_CLEANER'				=> 'Datenbank-Säuberung',
	'DATABASE_CLEANER_EXTRA'		=> 'Jedes andere Element ist ein zusätzliches Element, das von einer Modifikation hinzugefügt wurde. <strong>Wenn das Kontrollkästchen aktiviert ist, wird es entfernt</strong>.',
	'DATABASE_CLEANER_MISSING'		=> 'Alle Elemente mit einem roten Hintergrund sind fehlende Elemente, die hinzugefügt werden sollten. <strong>Wenn das Kontrollkästchen aktiviert ist, wird es angelegt</strong>.',
	'DATABASE_CLEANER_SUCCESS'		=> 'Die Datenbank-Säuberung wurde erfolgreich abgeschlossen!<br /><br />Bitte denken Sie daran, Ihre Datenbank erneut zu sichern.',
	'DATABASE_CLEANER_WARNING'		=> 'Diese Tool kommt OHNE GEWÄHRLEISTUNG. Daher sollte vor seiner Benutzung die komplette Datenbank gesichert werden.<br /><br />Stellen Sie sicher, dass Sie ein aktuelles und vollständiges Datenbank-Backup haben!',
	'DATABASE_CLEANER_WELCOME'		=> 'Willkommen beim Tool zur Datenbank-Säuberung!<br /><br />Diese Tool wurde entwickelt, um zusätzliche Felder, Zeilen und Tabellen zu entfernen, die nicht in der Standard-Installation von phpBB 3 vorgesehen sind. Auch werden fehlende Datenbankelemente neu erstellt.<br /><br />Wenn Sie bereit sind, die Datenbank-Säuberung zu starten, klicken Sie die „Fortfahren“-Schaltfläche. (Das Board wird deaktiviert, bis der Vorgang abgeschlossen ist.)',
	'DATABASE_COLUMNS_SUCCESS'		=> 'Die Datenbank-Felder wurden erfolgreich aktualisiert!',
	'DATABASE_TABLES'				=> 'Datenbank-Tabellen',
	'DATABASE_TABLES_SUCCESS'		=> 'Die Datenbank-Tabellen wurden erfolgreich aktualisiert!',
	'DATAFILE_NOT_FOUND'			=> 'Das Support Toolkit konnte die erforderliche Datendatei für Ihre phpBB-Version nicht finden!',

	'ERROR'							=> 'Fehler',
	'EXTRA'							=> 'Zusätzlich',

	'FINAL_STEP'					=> 'Dies ist die letzte auszuführende Aktion.<br /><br />Das Board wird nun wieder aktiviert und der Cache geleert.',

	'INSTRUCTIONS'					=> 'Anweisungen',

	'MISSING'						=> 'Fehlend',
	'MODULE_UPDATE_SUCCESS'			=> 'Die Module wurden erfolgreich aktualisiert!',

	'NO_BOT_GROUP'					=> 'Die Bots konnten nicht zurückgesetzt werden, da die Bot-Gruppe fehlt.',

	'PERMISSION_SETTINGS'			=> 'Berechtigungs-Optionen',
	'PERMISSION_UPDATE_SUCCESS'		=> 'Die Berechtigungs-Optionen wurden erfolgreich aktualisiert!',
	'PHPBB_VERSION_NOT_SUPPORTED'	=> 'Die verwendete Version von phpBB 3 wird nicht unterstützt (oder es fehlen Dateien des Support Toolkits).<br />phpBB 3.0.0+ sollte unterstützt werden, aber es kann etwas dauern, bis eine neu herausgegebene Version von phpBB 3 vom Support Toolkit unterstützt wird.',

	'QUIT'							=> 'Abbrechen',

	'RESET_BOTS'					=> 'Bots zurücksetzen',
	'RESET_BOTS_EXPLAIN'			=> 'Wollen Sie die Bots auf die Standard-Liste von phpBB 3 zurücksetzen? Alle existierenden Bots werden zurückgesetzt und durch die Standard-Liste ersetzt.',
	'RESET_BOTS_SKIP'				=> 'Der Bot Zurücksetzung wurde übersprungen',
	'RESET_BOT_SUCCESS'				=> 'Die Bots wurden erfolgreich zurückgesetzt!',
	'RESET_MODULES'					=> 'Module zurücksetzen',
	'RESET_MODULES_EXPLAIN'			=> 'Wollen Sie die Module auf die Standard-Module von phpBB 3 zurücksetzen? Alle existierenden Module werden entfernt und durch die Standard-Module ersetzt.',
	'RESET_MODULES_SKIP'			=> 'Die Modul Zurücksetzung wurde übersprungen',
	'RESET_MODULE_SUCCESS'			=> 'Die Module wurden erfolgreich zurückgesetzt!',
	'ROWS'							=> 'Eintrag',

	'SECTION_NOT_CHANGED_TITLE'		=> array(
		1	=> 'Tabellen nicht geändert',
		2	=> 'Spalten nicht geändert',
		3	=> 'Konfiguration nicht geändert',
		4	=> 'Berechtigungen nicht geändert',
		5	=> 'Gruppen nicht geändert',
		8	=> 'Letzter Schritt',
	),
	'SECTION_NOT_CHANGED_EXPLAIN'	=> array(
		1	=> 'Die Datenbank-Tabellen wurden nicht geändert',
		2	=> 'Die Spalten in der Datenbank wurden nicht geändert',
		3	=> 'Die Konfiguration Tabelle hat keine neuen / fehlenden Werte',
		4	=> 'Es wurden keine Änderungen in den Berechtigungs-Tabellen vorgenommen',
		5	=> 'Es wurden keine Änderungen in den phpBB System-Gruppen vorgenommen',
		8	=> 'Der letzte Schritt wird den Cache leeren und das Board wieder aktivieren.',
	),
	'SUCCESS'						=> 'Erfolgreich',
	'SYSTEM_GROUP_UPDATE_SUCCESS'	=> 'Die System-Gruppen wurden erfolgreich zurückgesetzt',

	'TYPE'							=> 'Typ',
	
	'NOTHING_SELECTED'              => 'Es wurde nichts zum Hinzufügen oder entfernen ausgewählt!',

	'UNSTABLE_DEBUG_ONLY'			=> 'Die Datenbank-Säuberung kann unstable phpBB-Versionen <em>(dev, a, b, RC)</em> nur funktionieren, wenn "DEBUG" in der Konfigurations-Datei aktiviert ist.',
));

?>